{ common, theme, ... }:

{
  catppuccin.kitty = {
    enable = true;
    flavor = theme.flavor;
  };

  programs = {
    # Transfer shell config to target device
    fish.shellAliases.ssh = "kitty +kitten ssh";
    kitty = {
      enable = common.default.terminal == "kitty";
      font.name = theme.nerdFont;
      settings = {
        background_blur = 5;
        background_opacity = 0.8;
        confirm_os_window_close = 0;
        window_padding_width = 10;
      };
    };
  };
}
